<template>
  <div class="inputBox shadow">
    <input type="text" v-model="newTodoItem" v-on:keyup.enter="addTodo">
    <span class="addContainer" v-on:click="addTodo">
      <i class="addBtn fas fa-plus" aria-hidden="true"></i>
    </span>
    <!--모달 컴포넌트 안에 header슬롯을 넣었다-->
    <Modal v-if="showModal" @close="showModal = false">
      <h3 slot="header">경고!
        <i class="closeModalBtn fas fa-times" @click="showModal = false"></i>
      </h3>
      <h3 slot="body">내용을 입력해 주세요.</h3>
      <h3 slot="footer">copy right</h3><!--상위 컴포넌트에 slot을 해줘도 여기에 해당하는 name이 하위 컴포넌트에 없으면 표현이 되지 않는다-->
    </Modal>
  </div>
</template>

<script>
import Modal from './common/Modal.vue'
export default {
  data: function() {
    return {
      newTodoItem: '',
      showModal: false
    }
  },
  methods: {
    addTodo: function() {
      if (this.newTodoItem !== '') {
        // this.$emit('addTodoItem', this.newTodoItem);
        // var obj = {completed: false, item: this.newTodoItem}; 
        // localStorage.setItem(this.newTodoItem, JSON.stringify(obj)); 
        const text = this.newTodoItem.trim();
        this.$store.commit('addOneItem', text);
        this.clearInput();          
      } else {
        this.showModal = !this.showModal;
      }
    },
    clearInput: function() {
      this.newTodoItem = '';
    }
  },
  components:{
    Modal: Modal
  }
}
</script>

<style scoped>
input:focus {
  outline: none;
}
.inputBox {
  background: white;
  height: 50px;
  line-height: 50px;
  border-radius: 5px;
}
.inputBox input {
  border-style: none;
  font-size: 0.9rem;
}
.addContainer {
  float: right;
  background: linear-gradient(to right, #6478FB, #8763FB);
  display: block;
  width: 3rem;
  border-radius: 0 5px 5px 0;
}
.addBtn {
  color: white;
  vertical-align: middle;
}
.closeModalBtn{
  color: #42b983;
}
</style>
